Package org.zkoss.zk.au.out

## Class AuSetAttributes

- java.lang.Object
- - org.zkoss.zk.au.AuResponse
  - - org.zkoss.zk.au.out.AuSetAttributes

-     public class AuSetAttributes
      extends AuResponse

  A response to set successive attributes of the specified component at the client.

  data[0]: the uuid of the component
  data[1]: the array of attribute name and attribute value

  Since:
    9.0.1
  Author:
    rudyhuang
  See Also:
    `AuSetAttribute`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.au.AuResponse

      `AuResponse.JSONComponent, AuResponse.JSONDate`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zk.au.AuResponse

      `_cmd, _data, SC_ACTIVATION_TIMEOUT, SC_OUT_OF_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuSetAttributes​(Component comp, AuSetAttribute... attrs)` | Construct an instance for miscellaneous values, such as Boolean, Integer and so on.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.lang.Object>` | `getEncodedData()` | Returns the evaluated result of the associated data of this response (might be null).
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.zkoss.zk.au.AuResponse

      `equals, getCommand, getDepends, getOverrideKey, getRawData, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuSetAttributes

          public AuSetAttributes​(Component comp,
                                 AuSetAttribute... attrs)

      Construct an instance for miscellaneous values, such as Boolean, Integer and so on.

  - ### Method Detail

    - #### getEncodedData

          public java.util.List<java.lang.Object> getEncodedData()

      Description copied from class: `AuResponse`
      Returns the evaluated result of the associated data of this response (might be null).

      Note: when this method is called, `DeferredValue` will be evaluated. Thus, don't call it until the rendering phase. If you want to access it other than the render phase, use `AuResponse.getRawData()` instead.

      Note: it is a copy, so any modification to it won't affect the data of this response.

      Overrides:
        `getEncodedData` in class `AuResponse`
      See Also:
        `AuResponse.getRawData()`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AuResponse`